<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ADCS-Hardware-in-the-Loop: config_loader.bcolors Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="TUDSaT_.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ADCS-Hardware-in-the-Loop<span id="projectnumber">&#160;0.0</span>
   </div>
   <div id="projectbrief">This is a hardware in the Loop</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.svg"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('classconfig__loader_1_1bcolors.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="classconfig__loader_1_1bcolors-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">config_loader.bcolors Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-static-attribs" name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a99ddcc8537e2102652a6748a49337acb"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classconfig__loader_1_1bcolors.html#a99ddcc8537e2102652a6748a49337acb">HEADER</a> = '\033[95m'</td></tr>
<tr class="separator:a99ddcc8537e2102652a6748a49337acb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13941e8915b0890def96bb77f9bb57cc"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classconfig__loader_1_1bcolors.html#a13941e8915b0890def96bb77f9bb57cc">OKBLUE</a> = '\033[94m'</td></tr>
<tr class="separator:a13941e8915b0890def96bb77f9bb57cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b86e98ca8c0e3ad057ef9eb93b4be0e"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classconfig__loader_1_1bcolors.html#a5b86e98ca8c0e3ad057ef9eb93b4be0e">OKCYAN</a> = '\033[96m'</td></tr>
<tr class="separator:a5b86e98ca8c0e3ad057ef9eb93b4be0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7b90c3edc2de84788786d8a90812bd3"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classconfig__loader_1_1bcolors.html#ab7b90c3edc2de84788786d8a90812bd3">OKGREEN</a> = '\033[92m'</td></tr>
<tr class="separator:ab7b90c3edc2de84788786d8a90812bd3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa5fea2e418211852d2385f3d55198706"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classconfig__loader_1_1bcolors.html#aa5fea2e418211852d2385f3d55198706">WARNING</a> = '\033[93m'</td></tr>
<tr class="separator:aa5fea2e418211852d2385f3d55198706"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05120ee63f8719dcf26d32fb2e8e2886"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classconfig__loader_1_1bcolors.html#a05120ee63f8719dcf26d32fb2e8e2886">FAIL</a> = '\033[91m'</td></tr>
<tr class="separator:a05120ee63f8719dcf26d32fb2e8e2886"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af314c676dcf544a386b5e4cf7b81226a"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classconfig__loader_1_1bcolors.html#af314c676dcf544a386b5e4cf7b81226a">ENDC</a> = '\033[0m'</td></tr>
<tr class="separator:af314c676dcf544a386b5e4cf7b81226a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a024c0e81b4170716e3d0d1da7ab0bf9d"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classconfig__loader_1_1bcolors.html#a024c0e81b4170716e3d0d1da7ab0bf9d">BOLD</a> = '\033[1m'</td></tr>
<tr class="separator:a024c0e81b4170716e3d0d1da7ab0bf9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe8baf9916cde6b772bf8ba559454fc4"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classconfig__loader_1_1bcolors.html#afe8baf9916cde6b772bf8ba559454fc4">UNDERLINE</a> = '\033[4m'</td></tr>
<tr class="separator:afe8baf9916cde6b772bf8ba559454fc4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a024c0e81b4170716e3d0d1da7ab0bf9d" name="a024c0e81b4170716e3d0d1da7ab0bf9d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a024c0e81b4170716e3d0d1da7ab0bf9d">&#9670;&nbsp;</a></span>BOLD</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string config_loader.bcolors.BOLD = '\033[1m'</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af314c676dcf544a386b5e4cf7b81226a" name="af314c676dcf544a386b5e4cf7b81226a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af314c676dcf544a386b5e4cf7b81226a">&#9670;&nbsp;</a></span>ENDC</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string config_loader.bcolors.ENDC = '\033[0m'</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a05120ee63f8719dcf26d32fb2e8e2886" name="a05120ee63f8719dcf26d32fb2e8e2886"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a05120ee63f8719dcf26d32fb2e8e2886">&#9670;&nbsp;</a></span>FAIL</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string config_loader.bcolors.FAIL = '\033[91m'</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a99ddcc8537e2102652a6748a49337acb" name="a99ddcc8537e2102652a6748a49337acb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a99ddcc8537e2102652a6748a49337acb">&#9670;&nbsp;</a></span>HEADER</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string config_loader.bcolors.HEADER = '\033[95m'</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a13941e8915b0890def96bb77f9bb57cc" name="a13941e8915b0890def96bb77f9bb57cc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a13941e8915b0890def96bb77f9bb57cc">&#9670;&nbsp;</a></span>OKBLUE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string config_loader.bcolors.OKBLUE = '\033[94m'</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5b86e98ca8c0e3ad057ef9eb93b4be0e" name="a5b86e98ca8c0e3ad057ef9eb93b4be0e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b86e98ca8c0e3ad057ef9eb93b4be0e">&#9670;&nbsp;</a></span>OKCYAN</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string config_loader.bcolors.OKCYAN = '\033[96m'</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab7b90c3edc2de84788786d8a90812bd3" name="ab7b90c3edc2de84788786d8a90812bd3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab7b90c3edc2de84788786d8a90812bd3">&#9670;&nbsp;</a></span>OKGREEN</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string config_loader.bcolors.OKGREEN = '\033[92m'</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="afe8baf9916cde6b772bf8ba559454fc4" name="afe8baf9916cde6b772bf8ba559454fc4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe8baf9916cde6b772bf8ba559454fc4">&#9670;&nbsp;</a></span>UNDERLINE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string config_loader.bcolors.UNDERLINE = '\033[4m'</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa5fea2e418211852d2385f3d55198706" name="aa5fea2e418211852d2385f3d55198706"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa5fea2e418211852d2385f3d55198706">&#9670;&nbsp;</a></span>WARNING</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string config_loader.bcolors.WARNING = '\033[93m'</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="config__loader_8py.html">config_loader.py</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceconfig__loader.html">config_loader</a></li><li class="navelem"><a class="el" href="classconfig__loader_1_1bcolors.html">bcolors</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
